Package org.apache.commons.math3.ml.neuralnet.twod.util

# Class QuantizationError

java.lang.Object
org.apache.commons.math3.ml.neuralnet.twod.util.QuantizationError

All Implemented Interfaces:
  `MapDataVisualization`

public class QuantizationError extends Object implements MapDataVisualization
Computes the quantization error histogram. Each bin will contain the average of the distances between samples mapped to the corresponding unit and the weight vector of that unit.

Since:
  3.6

## Constructor Summary

Constructors
Constructor
Description
`QuantizationError(DistanceMeasure distance)`

## Method Summary

Modifier and Type
Method
Description
`double[][]`
`computeImage(NeuronSquareMesh2D map, Iterable<double[]> data)`
Creates an image of the `data` metrics when represented by the `map`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QuantizationError

public QuantizationError(DistanceMeasure distance)

Parameters:
  `distance` - Distance.

## Method Details

### computeImage

public double[][] computeImage(NeuronSquareMesh2D map, Iterable<double[]> data)
Creates an image of the `data` metrics when represented by the `map`.

Specified by:
  `computeImage` in interface `MapDataVisualization`
Parameters:
  `map` - Map.
  `data` - Data.
Returns:
  a 2D-array (in row major order) representing the metrics.